Bug 67774 - FILEOPEN: XLS/XLSX: Alignment shift is incorrect - should use font's space size
Summary: FILEOPEN: XLS/XLSX: Alignment shift is incorrect - should use font's space size
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xls, filter:xlsx
Depends on:
Blocks: XLSX XLS
  Show dependency treegraph
 
Reported: 2013-08-05 08:58 UTC by Vitaly Bevsky
Modified: 2019-05-25 07:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
archive (106.56 KB, application/x-zip-compressed)
2013-08-05 08:58 UTC, Vitaly Bevsky
Details
Screenshots of MS Excel and LO 4.1.0.4 under Win7x64 (201.64 KB, application/x-zip-compressed)
2013-08-05 11:33 UTC, Mike Kaganski
Details
Screenshot of document on LO 5.2 (183.66 KB, image/png)
2017-01-23 00:49 UTC, Bartosz
Details
Screenshot of document on LO 5.2 (157.21 KB, image/png)
2017-01-23 00:50 UTC, Bartosz
Details
The bug doc converted to XLSX (12.40 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-01-23 03:55 UTC, Mike Kaganski
Details
5.2.3.2 on Windows (76.95 KB, image/png)
2017-01-23 04:55 UTC, Mike Kaganski
Details
.xlsx file with one row with incorrect alignment (21.96 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-01-23 15:28 UTC, Bartosz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Bevsky 2013-08-05 08:58:37 UTC
Created attachment 83649 [details]
archive

1. Some cells are shifted right, but not all.
2. Cell's lines are not hided behid the text.
See screen
Comment 1 Mike Kaganski 2013-08-05 11:32:00 UTC
Well, it is reproducible with 3.3.0.4 - 4.1.0.4 and AOO 4.0 under Win7x64.

The spreadsheet is formatted manually. The text that looks shifted compared to MS Excel, is actually written all in the column B, and is formatted as aligned to left with shift. The shift value in MS Excel is 5.

LO imports it with shift value 50pt. It looks like these values are not in a good accordance. This is the bug.

The text in row 9 is in two cells: B9 and C9.
The text in rows 21-22 is in cells B22 and B23, but is aligned left without shift, and there is a number of spaces before text in each cell.
Comment 2 Mike Kaganski 2013-08-05 11:33:02 UTC
Created attachment 83658 [details]
Screenshots of MS Excel and LO 4.1.0.4 under Win7x64
Comment 3 Mike Kaganski 2013-08-08 14:04:40 UTC
The same problem with incorrect shift is reported for XLSX (see bug 67779).
Comment 4 Vitaly Bevsky 2014-02-03 07:35:00 UTC
LO 4.2 hasn't this bug fix
Comment 5 Joel Madero 2015-05-02 15:42:07 UTC Comment hidden (obsolete)
Comment 6 Mike Kaganski 2015-05-02 17:33:31 UTC
Still reproducible with Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: ru_RU
under Win7x64
Comment 7 QA Administrators 2016-09-20 09:37:54 UTC Comment hidden (obsolete)
Comment 8 Bartosz 2016-12-11 00:19:19 UTC
This bug was resolved with LibreOffice 5.2
Comment 9 Mike Kaganski 2016-12-11 02:24:26 UTC
(In reply to Bartosz from comment #8)
> This bug was resolved with LibreOffice 5.2

No, it was not. Still the same shift.
Comment 10 Mike Kaganski 2016-12-12 07:41:57 UTC
The shift from left in LO is much more than in Excel. According to ISO/IEC 29500-1, the "indent" attribute of "alignment" element is an integer that is number of triple spaces in the normal font of the cell. ODF expresses indent in normal length units. So, the conversion from Excel indent "5" triple spaces of cell's font to "50pt" seems to be incorrect.
Comment 11 Bartosz 2017-01-23 00:41:46 UTC
Could you please also attach the .xlsx file in which described issue appears?
Comment 12 Bartosz 2017-01-23 00:49:11 UTC
Created attachment 130616 [details]
Screenshot of document on LO 5.2

It looks like there is not issue with LibreOffice 5.2 (Ubuntu 16.10), but there is an wrong formating on Master (LO 5.4).
Could you please confirm it?
Comment 13 Bartosz 2017-01-23 00:50:35 UTC
Created attachment 130617 [details]
Screenshot of document on LO 5.2

On LO 5.4 the issues is still there. Looks like it is regression.
Comment 14 Mike Kaganski 2017-01-23 03:55:20 UTC
Created attachment 130621 [details]
The bug doc converted to XLSX

(In reply to Bartosz from comment #11)
> Could you please also attach the .xlsx file in which described issue appears?

Here it is - and shows the same.
Comment 15 Mike Kaganski 2017-01-23 04:55:40 UTC
Created attachment 130622 [details]
5.2.3.2 on Windows

It shows the same.

I suppose that the difference is because of some font substitution under Linux (and it's apparently different on two screenshots from Bartosz - either different systems, or differences between versions).

With this regard, I must add that my screenshot is taken on the same system where Excel shows the same view as in attachment 83649 [details], so all fonts are OK.
Comment 16 Bartosz 2017-01-23 15:28:15 UTC
Created attachment 130631 [details]
.xlsx file with one row with incorrect alignment
Comment 17 QA Administrators 2018-06-20 02:48:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug